List File Upload Jobs - m3ter Documentation
List File Upload Jobs
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/fileuploads/measurements/jobs \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/fileuploads/measurements/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/fileuploads/measurements/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200
- 4XX
- 5XX
Example JSON Response
{
"data": [
{
"id": "<string>",
"version": 123,
"fileName": "<string>",
"uploadDate": "<string>",
"contentLength": 123,
"totalRows": 123,
"processedRows": 123,
"failedRows": 123
}
],
"nextToken": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization - string - required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
- orgId:
string- UUID of the organization (required)
Query Parameters
- pageSize:
integer<int32>- Number of File Upload jobs to retrieve per page. Required range:1 <= x <= 100 - nextToken:
string-nextTokenfor multi page retrievals. - dateCreatedStart:
string- Include only File Upload jobs created on or after this date. Required format is ISO-8601:yyyy-MM-dd'T'HH:mm:ss'Z' - dateCreatedEnd:
string- Include only File Upload jobs created before this date. Required format is ISO-8601:yyyy-MM-dd'T'HH:mm:ss'Z'. - fileKey:
string | null- Additional optional file key.